### Function

# Ggit SubmoduleCallback

#### Declaration

    gint
    (* GgitSubmoduleCallback) (
      GgitSubmodule* submodule,
      const gchar* name,
      gpointer user_data
    )

#### Description [src]

The type of the callback functions for retrieving the submodules in a `GgitRepository`. See ggit_repository_submodule_foreach().

#### Parameters

`submodule`

  Type: `GgitSubmodule`

  A `GgitSubmodule`.

  The data is owned by the caller of the function.

`name`

  Type: `const gchar*`

  The name of the submodule.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`user_data`

  Type: `gpointer`

  User-supplied data.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `gint`

0 to go for the next submodule or a `GgitError` in case there was an error.